Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.struts.taglib.html
Class PasswordTag

    java.lang.Object
      org.apache.struts.taglib.html.PasswordTag
          com.ibm.struts.taglib.html.PasswordTag

    public class PasswordTag

extends org.apache.struts.taglib.html.PasswordTag

This class is a simple extension of the Struts password tag which adds the dir attribute, representing the direction of the text.

Since:
  5.1.0.1

Field Summary
`protected java.lang.String` | `dir` Attribute representing the direction of the text.

Constructor Summary
`PasswordTag()` Constructs a new instance of this tag.

Method Summary
`java.lang.String` | `getDir()` Returns the dir attribute.
`protected java.lang.String` | `prepareStyles()` Prepares the style attributes, including the dir attribute, for inclusion in the component's HTML tag.
`void` | `setDir(java.lang.String value)` Sets the dir value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dir

    protected java.lang.String dir

  Attribute representing the direction of the text.

Constructor Detail

### PasswordTag

    public PasswordTag()

  Constructs a new instance of this tag.

Method Detail

### getDir

    public java.lang.String getDir()

  Returns the dir attribute.

  Returns:
    The dir attribute value

### setDir

    public void setDir(java.lang.String value)

  Sets the dir value.

  Parameters:
    `value` - The dir attribute

### prepareStyles

    protected java.lang.String prepareStyles()
                                      throws JspException

  Prepares the style attributes, including the dir attribute, for inclusion in the component's HTML tag.

  Returns:
    The prepared String for inclusion in the HTML tag
  Throws:
    `JspException` - if invalid attributes are specified

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD